// section transition styles
.section
  opacity: 0
  visibility: hidden
  transition: opacity .4s ease-in-out, visibility 0s .4s

  &--is-active
    opacity: 1
    visibility: visible
    z-index: 1
    transition: opacity .4s ease-in-out .4s

  &--has-image
    background-size: cover
    background-repeat: no-repeat
    background-position: -117px center
    margin: 18px
  &--next
    transform: translateY(-45px)
    transition: transform .4s ease-in-out

  &--prev
    transform: translateY(45px)
    transition: transform .4s ease-in-out

  &-title 
    h1 
      text-transform: uppercase
      font-weight: 900
      font-size: 44px
      line-height: 1em
      text-align: center
      
      &::before
        content: attr(title)
        position: absolute
        z-index: -1     
        left: 50%
        transform: translateX(-50%)
        color: lighten($blue, 5%)
        text-transform: uppercase
        font-size: 2.3em
        line-height: 50px
        white-space: nowrap
        
@media (min-width: 600px)
  .section

    &--has-image
      background-size: contain
      background-position: center center
      margin: 0

    &-title
      h1
        font-size: 55px
